The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Diagnostic Trace Files

Prev Next

This URL gets the diagnostics trace files.

Resource URL

GET /sensor/<sensor_id>/diagnosticstrace

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor id Sensor id Number Yes

Payload Request Parameters: None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
files List of diagnostic trace file names StringList

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/diagnosticstrace

Response

{
"files":[“trace_API_2950_2_Thu_Mar_03_13_58_39_IST_2016.enc”, “trace_API_2950_2_Thu_Mar_03_14_06_15_IST_2016.enc”]
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is Inactive.